System.Runtime.Serialization 4.0.0.0 System.Object System.Xml.IXmlDictionary

Dictionaries establish a mapping between commonly appearing text strings, and integers, and provide an effective mechanism for compressing and decompressing XML. indigo1 uses 2 kinds of dictionaries, static and dynamic.

With static dictionaries, both sides of the communication use a predefined dictionary.

With dynamic dictionaries, the sending side can add new strings and their mappings not already in the static dictionary. Dynamic dictionaries are sent out of band with the message. Dynamic dictionaries use the and classes to transmit messages and mappings.

Implements a dictionary used to optimize indigo1's XML reader/writer implementations.

- Constructor
  4.0.0.0
  To be added.

  Creates an empty .

- Constructor
  4.0.0.0

  The dictionary will resize itself as needed.

  Creates a with an initial capacity.

  The initial size of the dictionary.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryString ``

  A is built from .

  If the string value is already in the dictionary, the previously created for it is returned.

  Adds a string to the .

  The that was added.

  String to add to the dictionary.
- Property
  4.0.0.0
  System.Xml.IXmlDictionary To be added.

  This instance should be used when an is required but no s are needed.

  The empty dictionary cannot be modified.

  Gets a static empty .

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.